// Base64String.cpp: implementation of the CBase64String class.
//
//////////////////////////////////////////////////////////////////////


/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */


#include "stdafx.h"
#include "Base64String.h"
#include <atlbase.h>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


CBase64String::CBase64String(const char* szBase64Encoded)
{

	HRESULT hr;
	
	_bstr_t bstrEnc(szBase64Encoded);
	_bstr_t bstrProgID("Base64Lib.Base64");
	
	BSTR b = (BSTR)bstrEnc;

	//Create Active X object

	CComPtr<_Base64> BasePtr;
	hr = BasePtr.CoCreateInstance(bstrProgID);

	if(SUCCEEDED(hr)) {
		bstrDecoded = BasePtr->Decode(&b);
	} else {
		bstrDecoded = "";
	}


}

CBase64String::~CBase64String()
{

}

CBase64String::operator char *()
{
	return (char*) bstrDecoded;
}

