// DavCmd.h: interface for the CDavCmd class.
//
//////////////////////////////////////////////////////////////////////

#include "DavCmdDispatcher.h"

#if !defined(AFX_DAVCMD_H__90CEB3A3_FE3D_11D3_BB07_00609733C58A__INCLUDED_)
#define AFX_DAVCMD_H__90CEB3A3_FE3D_11D3_BB07_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Response.h"

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */

#import "c:\winnt\system32\msxml.dll" 
using namespace MSXML;

class CDavCmdDispatcher;
class CDavCmd  
{
protected:
	CDavCmdDispatcher* pDisp;	//Gives us access to the request data
	CHttpFilterContext* pCtx;	//Context which lets us communicate with the client
	CResponse resp;				//The response that we send back to the client

	IXMLDOMElementPtr GetRootXMLElement();		//Gets the root element in the request
	bool AncestorExist(char* szPath = NULL);						//Checks if the ancestor directory to pDisp->szPhys exists

	virtual int GetHttpStatus(DWORD dwErrcode);	//Returns a HTTP code for a errcode
	void SetError(bool bFirst, char* szURI, DWORD dwStatus = 0);	

	IXMLDOMDocumentPtr doc;
	IXMLDOMElementPtr elemRoot;
	bool bDidInit;

public:
	CDavCmd(CDavCmdDispatcher* disp, CHttpFilterContext* pCtx);
	virtual ~CDavCmd();
	virtual bool Execute() = 0;	
};

#endif // !defined(AFX_DAVCMD_H__90CEB3A3_FE3D_11D3_BB07_00609733C58A__INCLUDED_)
