// Headers.h: interface for the CHeaders class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEADERS_H__4E7D3773_FB13_11D3_BB07_00609733C58A__INCLUDED_)
#define AFX_HEADERS_H__4E7D3773_FB13_11D3_BB07_00609733C58A__INCLUDED_
#pragma warning(disable:4786)
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */

#include <map>
typedef std::map<char*, char*> HEADERS;

class CHeaders  
{
public:
	static CHeaders* ParseHeaders(char* pcData, DWORD dwInputLen, long* plLeftOver);

	void Clear();

	void SetHeader(char *szKey, int iKeyLength, char* szValue, int iValueLength);
	const char* GetHeader(const char* szKey);

	const char* GetBasicUser() const;
	const char* GetBasicPassword() const;

	CHeaders();
	virtual ~CHeaders();

	HEADERS hdrs;

protected:
	
	char* szBasicUser;
	char* szBasicPassword;
	void parseAuthorisation();
};

#endif // !defined(AFX_HEADERS_H__4E7D3773_FB13_11D3_BB07_00609733C58A__INCLUDED_)
