// PropFindCmd.h: interface for the CPropFindCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROPFINDCMD_H__90CEB3A4_FE3D_11D3_BB07_00609733C58A__INCLUDED_)
#define AFX_PROPFINDCMD_H__90CEB3A4_FE3D_11D3_BB07_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */


#include "DavCmd.h"
#include "Props.h"


class CPropFindCmd : public CDavCmd  
{
protected:
	bool GetPropSpecs(IXMLDOMElementPtr elemReq);
	void BuildResponse();
	void BuildResponseTree(bool bFirst, char* szPhysLoc, char* szURI);
	
	BOOL GetDavPropStat(IXMLDOMNodePtr elemResponse , char* szPhys, WIN32_FILE_ATTRIBUTE_DATA* attrs, DWORD& dwPhysLen);
	void GetUnsupportedPropStat(IXMLDOMNodePtr elemResponse);
	void GetErrorPropStat(IXMLDOMNodePtr elemResponse);
	void GetBaseURL();

	char szURL[512];			//512 bytes should be enough for any URL
	int iServerLen;

	
	IXMLDOMElementPtr elemRoot;
	IXMLDOMDocumentPtr doc;
	PropSpec specs;

public:

	CPropFindCmd(CDavCmdDispatcher* disp, CHttpFilterContext* pCtx);
	virtual ~CPropFindCmd();
	bool Execute();
};


#endif // !defined(AFX_PROPFINDCMD_H__90CEB3A4_FE3D_11D3_BB07_00609733C58A__INCLUDED_)
