// MLTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MLTest.h"
#include "MLTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CMLTestDlg dialog

CMLTestDlg::CMLTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMLTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMLTestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMLTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMLTestDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
	DDX_Control( pDX, IDC_COMBO1, m_comboBox );
	DDX_Control( pDX, IDC_LIST1, m_listBox );
}

BEGIN_MESSAGE_MAP(CMLTestDlg, CDialog)
	//{{AFX_MSG_MAP(CMLTestDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CONTEXTMENU()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMLTestDlg message handlers

BOOL CMLTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_comboBox.AddString( CString((LPCSTR)IDS_CB_STRING1) );
	m_comboBox.AddString( CString((LPCSTR)IDS_CB_STRING2) );
	m_comboBox.AddString( CString((LPCSTR)IDS_CB_STRING3) );
	m_comboBox.SetCurSel( 0 );

	m_listBox.AddString( CString((LPCSTR)IDS_LB_STRING1) );
	m_listBox.AddString( CString((LPCSTR)IDS_LB_STRING2) );
	m_listBox.AddString( CString((LPCSTR)IDS_LB_STRING3) );
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMLTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	CDialog::OnSysCommand(nID, lParam);
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMLTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMLTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMLTestDlg::OnContextMenu(CWnd* pWnd, CPoint point) 
{
	CMenu  amenu;
	CMenu* popupMenu = 0;
	amenu.LoadMenu( IDR_MENU1 );
    popupMenu = amenu.GetSubMenu(0);
    popupMenu->TrackPopupMenu( TPM_LEFTALIGN | TPM_RIGHTBUTTON,
                               point.x, point.y, this );
	// TODO: Add your message handler code here
	
}
