// CopyCmd.h: interface for the CCopyCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COPYCMD_H__2345D356_0A05_11D4_BB0D_00609733C58A__INCLUDED_)
#define AFX_COPYCMD_H__2345D356_0A05_11D4_BB0D_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */

#include "DavCmd.h"

class CCopyCmd : public CDavCmd  
{
protected:
	bool bOverwrite;
	void CopyResource(char* szSrc, char* szDst, char* szURI, bool bFirst);

	int iDepth;
	virtual int GetHttpStatus(DWORD dwErrcode);	//Returns a HTTP code for a errcode
public:
	CCopyCmd(CDavCmdDispatcher* disp, CHttpFilterContext* pCtx);
	virtual ~CCopyCmd();
	virtual bool Execute();	
};

#endif // !defined(AFX_COPYCMD_H__2345D356_0A05_11D4_BB0D_00609733C58A__INCLUDED_)
