// MoveCmd.h: interface for the CMoveCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOVECMD_H__BEEA5AE3_0EC3_11D4_BB0D_00609733C58A__INCLUDED_)
#define AFX_MOVECMD_H__BEEA5AE3_0EC3_11D4_BB0D_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */


#include "DeleteCmd.h"
#include "CopyCmd.h"

class CMoveCmd : public CDavCmd
{
protected:
	bool DeleteFileObject(const char* szPath);

public:
	CMoveCmd(CDavCmdDispatcher* disp, CHttpFilterContext* pCtx);
	virtual ~CMoveCmd();
	bool Execute();
};

#endif // !defined(AFX_MOVECMD_H__BEEA5AE3_0EC3_11D4_BB0D_00609733C58A__INCLUDED_)
