// Response.h: interface for the CResponse class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RESPONSE_H__02F5F4B3_FF07_11D3_BB07_00609733C58A__INCLUDED_)
#define AFX_RESPONSE_H__02F5F4B3_FF07_11D3_BB07_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */

#include "Headers.h"
#include "ResponseBody.h"

class CResponse  
{
public:
	CResponseBody* pBody;	//The body is created in the subclasses of DavCmd. But we delete it.
	CHeaders hdrs;
	int iStatus;

	void Clear();
	void SendResponse(CHttpFilterContext* pCtx);
	void SetStatus(int iStatus);

	CResponse();
	virtual ~CResponse();

};

#endif // !defined(AFX_RESPONSE_H__02F5F4B3_FF07_11D3_BB07_00609733C58A__INCLUDED_)
