// XMLBody.h: interface for the CXMLBody class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLBODY_H__02F5F4B5_FF07_11D3_BB07_00609733C58A__INCLUDED_)
#define AFX_XMLBODY_H__02F5F4B5_FF07_11D3_BB07_00609733C58A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
 *	Martin Hallerdal, marty@home.se
 *	2000-05-11
 *
 *	Please feel free to experiment with the code. Just don't use it for commercial purposes.
 */


#include "ResponseBody.h"

#import "c:\winnt\system32\msxml.dll" 
using namespace MSXML;

class CXMLBody : public CResponseBody  
{
protected:

	IXMLDOMDocumentPtr doc;

	static char* szXMLHeader;

	DWORD dwXMLLen;
	DWORD dwHeaderLen;

public:
	CXMLBody();
	virtual ~CXMLBody();

	void Clear();
	char* GetMimeType();
	void WriteToClient(CHttpFilterContext* pCtx);
	DWORD GetLength();
	void SetXMLDocument(IXMLDOMDocumentPtr doc);
};

#endif // !defined(AFX_XMLBODY_H__02F5F4B5_FF07_11D3_BB07_00609733C58A__INCLUDED_)
